import unittest

from flask import json

from api_invoker_management.models.api_invoker_enrolment_details import APIInvokerEnrolmentDetails  # noqa: E501
from api_invoker_management.models.api_invoker_enrolment_details_patch import APIInvokerEnrolmentDetailsPatch  # noqa: E501
from api_invoker_management.models.problem_details import ProblemDetails  # noqa: E501
from api_invoker_management.test import BaseTestCase


class TestIndividualAPIInvokerEnrolmentDetailsController(BaseTestCase):
    """IndividualAPIInvokerEnrolmentDetailsController integration test stubs"""

    def test_modify_ind_api_invoke_enrolment(self):
        """Test case for modify_ind_api_invoke_enrolment

        
        """
        api_invoker_enrolment_details_patch = openapi_server.APIInvokerEnrolmentDetailsPatch()
        headers = { 
            'Accept': 'application/json',
            'Content-Type': 'application/merge-patch+json',
        }
        response = self.client.open(
            '/api-invoker-management/v1/onboardedInvokers/{onboarding_id}'.format(onboarding_id='onboarding_id_example'),
            method='PATCH',
            headers=headers,
            data=json.dumps(api_invoker_enrolment_details_patch),
            content_type='application/merge-patch+json')
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))


if __name__ == '__main__':
    unittest.main()
